%define upstream_name    CPAN-ReleaseHistory
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Release iterator for CPAN::ReleaseHistory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Role::CachedURL)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides an iterator that can be used to look at every file
that has ever been released to CPAN, regardless of whether it is still on
CPAN.

The BackPAN index used was changed in release 0.10, which resulted in the
caching mechanism changing, so you should make sure you have at least
version 0.10, as shown in the SYNOPSIS above.

The '$release' returned by the 'next_release()' method on the iterator is
an instance of the CPAN::ReleaseHistory::Release manpage. It has five
methods:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}
%perl_vendorlib/*
/usr/bin/cpan-heavyweights
/usr/bin/cpan-release-counts



%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.120.0-4pclos2017
- rebuild against updates

